Subject: Re: linux

From: Zheng Gengbing <[email-masked]>
Date: Sun, 28 Apr 1996 09:58:18 +0800 (EAT)

On Sat, 27 Apr 1996, Li Xinying wrote:

> 
>     What did you change in lex file? In fact just at the beginning of 
> this year I have tested the suite of programs on the "RISC 6000, SUN 
> ,Linux and HP "and passed. Maybe you can notice some comments in " .l" ," 
> .y" and my original makefile.
> 
>     When you are to modify yacc and lex files, will you inform HIT firstly?
>

	I think I have sent you letters about this . Yes ,lex do can compile
 .l , but  flex meet trouble .  Anyway ,what I changed did not concern 
any rules , so it will not cause anybody trouble .

	What I changed is :
	add 
	%array  yytext
	to declare use yytest as  array instead of pointer .
	use yytext as pointer will inccur strange problems to unput .

	changed
	extern char yytext[0x400]
	to
	extern char yytext[YYLMAX]
	YYLMAX is a predefined  constant both in lex & flex .
	This will delete the error of  delcaring yytext differently .

Zheng Gengbin